Bug 246290 - yum fails on update; fc 6 x86_64 installed; i386 AND x86_64 pkg updates are selected
yum fails on update; fc 6 x86_64 installed; i386 AND x86_64 pkg updates are s...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 16:17 EDT by George R. Goffe
Modified: 2014-01-21 17:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2007-06-29 16:17:45 EDT
Description of problem:

yum -y update seems to try to update i386 versions of packages as well as x86_64
versions and results in failed dependency checks

Version-Release number of selected component (if applicable):


How reproducible:

yum -y update

Steps to Reproduce:
1. install fc 6 x86_64
2. yum -y update
3. possibly install other packages and try yum -y update (I have a huge product
mix on my systems)
  
Actual results:

NO update of any products

Expected results:

latest updates applied correctly and successfully

Additional info:

complete output from yum -y install:

yum -y update
Loading "installonlyn" plugin
Loading "priorities" plugin
Loading "protectbase" plugin
Loading "tsflags" plugin
Loading "downloadonly" plugin
Loading "changelog" plugin
Loading "allowdowngrade" plugin
Loading "skip-broken" plugin
Loading "kernel-module" plugin
Loading "fastestmirror" plugin
Loading "fedorakmod" plugin
Setting up Update Process
Setting up repositories
core                      100% |=========================| 1.1 kB    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
updates                   100% |=========================| 1.2 kB    00:00     
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
0 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Resolving Dependencies
/usr/lib/yum-plugins/kernel-module.py:61: DeprecationWarning: getHdrList() will
go away in a future version of Yum.

  for hdr in conduit.getRpmDB().getHdrList():
--> Populating transaction set with selected packages. Please wait.
---> Package arts.x86_64 8:1.5.7-0.1.fc6 set to be updated
---> Package eclipse-rcp.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package kdelibs.i386 6:3.5.7-0.1.fc6 set to be updated
---> Package pidgin.x86_64 0:2.0.2-3.fc6.1 set to be updated
---> Package kdegames.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package eclipse-rcp.i386 1:3.2.2-8.fc6 set to be updated
---> Package kdebindings-devel.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package kdegames-devel.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package elfutils-libelf-devel.x86_64 0:0.128-2.fc6 set to be updated
---> Package kdegraphics.i386 7:3.5.7-1.fc6 set to be updated
---> Package kdebase-devel.i386 6:3.5.7-0.1.fc6 set to be updated
---> Package kdegraphics.x86_64 7:3.5.7-1.fc6 set to be updated
---> Package kdebindings.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package eclipse-platform-sdk.i386 1:3.2.2-8.fc6 set to be updated
---> Package gtk2.x86_64 0:2.10.13-1.fc6 set to be updated
---> Package eclipse-pde.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package kdesdk.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package kdegraphics-devel.x86_64 7:3.5.7-1.fc6 set to be updated
---> Package kdevelop.x86_64 9:3.4.1-1.fc6 set to be updated
---> Package kdeartwork-icons.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package kdegames-devel.i386 6:3.5.7-1.fc6 set to be updated
---> Package kdepim.i386 6:3.5.7-1.fc6.2 set to be updated
---> Package kdelibs-devel.x86_64 6:3.5.7-0.1.fc6 set to be updated
---> Package arts.i386 8:1.5.7-0.1.fc6 set to be updated
---> Package kdeaddons.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package kdeutils.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package eclipse-platform-sdk.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package eclipse-jdt.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package kdeadmin.x86_64 7:3.5.7-1.fc6 set to be updated
---> Package gtk2-devel.x86_64 0:2.10.13-1.fc6 set to be updated
---> Package elfutils-devel.i386 0:0.128-2.fc6 set to be updated
---> Downloading header for kernel-xen-devel to pack into transaction set.
kernel-xen-devel-2.6.20-1 100% |=========================| 751 kB    00:00     
---> Package kernel-xen-devel.x86_64 0:2.6.20-1.2962.fc6 set to be installed
---> Package eclipse-pde-sdk.i386 1:3.2.2-8.fc6 set to be updated
---> Package kdegraphics-devel.i386 7:3.5.7-1.fc6 set to be updated
---> Package kdebase.x86_64 6:3.5.7-0.1.fc6 set to be updated
---> Package kdeutils-devel.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package kdesdk.i386 0:3.5.7-1.fc6 set to be updated
---> Package kdenetwork-devel.i386 7:3.5.7-1.fc6 set to be updated
---> Package kdeaddons-atlantikdesigner.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package elfutils-libelf.i386 0:0.128-2.fc6 set to be updated
---> Package eclipse-pde-runtime.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package eclipse-pde-sdk.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package elfutils.x86_64 0:0.128-2.fc6 set to be updated
---> Package libpurple.x86_64 0:2.0.2-3.fc6.1 set to be updated
---> Package eclipse-sdk.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package eclipse-jdt-sdk.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package kdepim-devel.x86_64 6:3.5.7-1.fc6.2 set to be updated
---> Package kdemultimedia.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package kdepim.x86_64 6:3.5.7-1.fc6.2 set to be updated
---> Package kdewebdev-devel.i386 6:3.5.7-1.fc6 set to be updated
---> Package ruby-libs.i386 0:1.8.5.52-1.fc6 set to be updated
---> Package arts-devel.x86_64 8:1.5.7-0.1.fc6 set to be updated
---> Package kdemultimedia-devel.i386 6:3.5.7-1.fc6 set to be updated
---> Package kdegames.i386 6:3.5.7-1.fc6 set to be updated
---> Package libswt3-gtk2.i386 1:3.2.2-8.fc6 set to be updated
---> Package gtk2-devel.i386 0:2.10.13-1.fc6 set to be updated
---> Package eclipse-rcp-sdk.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package ruby-devel.i386 0:1.8.5.52-1.fc6 set to be updated
---> Downloading header for kernel-devel to pack into transaction set.
kernel-devel-2.6.20-1.296 100% |=========================| 747 kB    00:00     
---> Package kernel-devel.x86_64 0:2.6.20-1.2962.fc6 set to be installed
---> Package kdewebdev.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package eclipse-platform.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package elfutils-libelf-devel.i386 0:0.128-2.fc6 set to be updated
---> Package kdebindings-devel.i386 0:3.5.7-1.fc6 set to be updated
---> Package elfutils-devel-static.x86_64 0:0.128-2.fc6 set to be updated
---> Package arts-devel.i386 8:1.5.7-0.1.fc6 set to be updated
---> Package kdemultimedia-devel.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package elfutils-libs.x86_64 0:0.128-2.fc6 set to be updated
---> Package ruby-libs.x86_64 0:1.8.5.52-1.fc6 set to be updated
---> Package eclipse-jdt-sdk.i386 1:3.2.2-8.fc6 set to be updated
---> Package kdewebdev-devel.x86_64 6:3.5.7-1.fc6 set to be updated
---> Package eclipse-ecj.x86_64 1:3.2.2-8.fc6 set to be updated
---> Package libpurple-devel.x86_64 0:2.0.2-3.fc6.1 set to be updated
---> Package kdebindings.i386 0:3.5.7-1.fc6 set to be updated
---> Package ruby-mode.x86_64 0:1.8.5.52-1.fc6 set to be updated
---> Package kdesdk-devel.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package kdemultimedia.i386 6:3.5.7-1.fc6 set to be updated
---> Package kdebase-devel.x86_64 6:3.5.7-0.1.fc6 set to be updated
---> Package eclipse-sdk.i386 1:3.2.2-8.fc6 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-0.1.fc6 set to be updated
---> Package ruby-devel.x86_64 0:1.8.5.52-1.fc6 set to be updated
---> Package kdepim-devel.i386 6:3.5.7-1.fc6.2 set to be updated
---> Package kdelibs-apidocs.x86_64 6:3.5.7-0.1.fc6 set to be updated
---> Package kdenetwork.i386 7:3.5.7-1.fc6 set to be updated
---> Package pidgin.i386 0:2.0.2-3.fc6.1 set to be updated
---> Package kdenetwork.x86_64 7:3.5.7-1.fc6 set to be updated
---> Package pidgin-devel.x86_64 0:2.0.2-3.fc6.1 set to be updated
---> Package elfutils-libelf-devel-static.x86_64 0:0.128-2.fc6 set to be updated
---> Package elfutils-devel.x86_64 0:0.128-2.fc6 set to be updated
---> Package ruby.x86_64 0:1.8.5.52-1.fc6 set to be updated
---> Package kdelibs-devel.i386 6:3.5.7-0.1.fc6 set to be updated
---> Package eclipse-pde.i386 1:3.2.2-8.fc6 set to be updated
---> Package ruby-tcltk.x86_64 0:1.8.5.52-1.fc6 set to be updated
---> Package eclipse-pde-runtime.i386 1:3.2.2-8.fc6 set to be updated
---> Package kdebase.i386 6:3.5.7-0.1.fc6 set to be updated
---> Package elfutils-libs.i386 0:0.128-2.fc6 set to be updated
---> Package fedora-usermgmt-default-fedora-setup.noarch 0:0.10-1.fc6 set to be
updated
---> Package eclipse-rcp-sdk.i386 1:3.2.2-8.fc6 set to be updated
---> Package kdesdk-devel.i386 0:3.5.7-1.fc6 set to be updated
---> Package kdeartwork.x86_64 0:3.5.7-1.fc6 set to be updated
---> Package kdenetwork-devel.x86_64 7:3.5.7-1.fc6 set to be updated
---> Package kdewebdev.i386 6:3.5.7-1.fc6 set to be updated
---> Package gtk2.i386 0:2.10.13-1.fc6 set to be updated
---> Package libpurple.i386 0:2.0.2-3.fc6.1 set to be updated
---> Package elfutils-libelf.x86_64 0:0.128-2.fc6 set to be updated
---> Package kdeaccessibility.x86_64 1:3.5.7-1.fc6 set to be updated
---> Package kdeaccessibility-devel.x86_64 1:3.5.7-1.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libhowl.so.0 for package: libpurple
--> Processing Dependency: elfutils-devel-static-i386 = 0.128-2.fc6 for package:
elfutils-devel
--> Processing Dependency: gaim < 2:3.0.0 for package: gaim-gaym
--> Processing Dependency: libhowl.so.0()(64bit) for package: libpurple
--> Processing Dependency: elfutils-libelf-devel-static-i386 = 0.128-2.fc6 for
package: elfutils-libelf-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package avahi-compat-howl.i386 0:0.6.16-4.fc6 set to be updated
---> Package avahi-compat-howl.x86_64 0:0.6.16-4.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: elfutils-devel-static-i386 = 0.128-2.fc6 for package:
elfutils-devel
--> Processing Dependency: gaim < 2:3.0.0 for package: gaim-gaym
--> Processing Dependency: elfutils-libelf-devel-static-i386 = 0.128-2.fc6 for
package: elfutils-libelf-devel
--> Finished Dependency Resolution
--> Populating transaction set with selected packages. Please wait.
---> Package kernel-devel.i686 0:2.6.20-1.2962.fc6 set to be erased
---> Package kernel-xen-devel.i686 0:2.6.20-1.2962.fc6 set to be erased
--> Running transaction check
--> Processing Dependency: elfutils-devel-static-i386 = 0.128-2.fc6 for package:
elfutils-devel
--> Processing Dependency: gaim < 2:3.0.0 for package: gaim-gaym
--> Processing Dependency: elfutils-libelf-devel-static-i386 = 0.128-2.fc6 for
package: elfutils-libelf-devel
--> Finished Dependency Resolution
Error: Missing Dependency: elfutils-devel-static-i386 = 0.128-2.fc6 is needed by
package elfutils-devel
Error: Missing Dependency: elfutils-libelf-devel-static-i386 = 0.128-2.fc6 is
needed by package elfutils-libelf-devel
You have new mail in /var/spool/mail/root
Comment 1 George R. Goffe 2007-06-29 16:22:32 EDT
Output of uname -a:

Linux fndn-tst-base 2.6.20-1.2952.fc6xen #1 SMP Wed May 16 18:37:05 EDT 2007
x86_64 GNU/Linux
Comment 2 George R. Goffe 2007-06-29 16:26:02 EDT
Adding output from uname -a:

Linux fndn-tst-base 2.6.20-1.2952.fc6xen #1 SMP Wed May 16 18:37:05 EDT 2007
x86_64 GNU/Linux
Comment 3 Jeremy Katz 2007-09-13 14:27:41 EDT
This should have been fixed in the repos a while ago
Comment 4 George R. Goffe 2007-09-13 15:58:09 EDT
Thank you Jeremy!

George...

Note You need to log in before you can comment on or make changes to this bug.